@echo off
echo.
echo ****************************************************
echo ! Script to allow co-existence of PCT-Safe          !
echo ! and EPO Online Filing on the same machine.  !
echo ****************************************************
echo ! version 1.22, EPO, Oct 2011                              !
echo ****************************************************
echo ! This script will stop services of previous            !
echo ! Firebird installations and start services             !
echo ! of the most recent Firebird installation.              !
echo ! Please note:                                                          !
echo ! New services are compatible to previous         !
echo ! Firebird instances. Press key to carry on.         !
echo ****************************************************
echo.
pause
echo.
sc query FirebirdGuardianOLF | FIND "1060"
if %errorlevel% EQU 0 goto :no_olf
sc stop EPO_OLF_FMGRDN_Service > NUL
if %errorlevel% EQU 5 goto :no_admin
echo Please wait for services to stop ...
ping localhost -n 10 > NUL
echo.
echo Services stopped.
echo Reconfiguring starting, please wait ...
echo.
sc stop FirebirdGuardianDefaultInstance > NUL
sc config FirebirdGuardianDefaultInstance start= demand > NUL
sc stop FirebirdServerDefaultInstance > NUL
sc config FirebirdServerDefaultInstance start= demand > NUL
sc stop FirebirdGuardianOLF > NUL
sc config FirebirdGuardianOLF start= auto > NUL
sc stop FirebirdServerOLF > NUL
sc config FirebirdServerOLF start= auto > NUL
echo Reconfiguring done.
echo.
echo Starting database services ...
sc start FirebirdGuardianOLF > NUL
sc start FirebirdServerOLF > NUL
ping localhost -n 5 > NUL
sc start EPO_OLF_FMGRDN_Service > NUL
echo Starting OLF services, please wait 45 seconds ...
ping localhost -n 45 > NUL
goto :finish
echo.
:no_admin
echo Script failed to run. Please right-click on the script and choose "Run as administrator"
goto :finish
:no_olf
echo No OLF services detected
:finish
echo Done.
echo.
pause 